%define pkg_name        Getopt-Mixed
%define pkg_version     1.10
%define rpm_pkg_version 1.10
%define rpm_pkg_release 1.n0i.7

Summary:       Supports both long and short options
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CJ/CJM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides GNU-style option processing for Perl 5 scripts,
with both long and short options. 


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 1.10-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.10

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.008-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:1.008-2.n0i.5
- rebuild (FC4)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.008-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.008-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Fri Jan 30 2004 Marius FERARU <altblue@n0i.net> 0:1.008-0.n0i.1
- version 1.008
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
